DRUO
Get started
End Users

Get End User

GEThttps://api.druo.com/end-users/{end_user_uuid}

Retrieve the details of an existing End User.

Returns the profile, contact details, and system configuration for a specific end user using their unique UUID.

Path parameters

end_user_uuidstringRequired

The unique identifier of the resource.

Response

uuidstringoptional

The End User's unique identifier.

Example: eur_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The End User's code.

Example: ECSCDSVFGH
typestringoptional

The entity type of the End User.

Possible values:COMPANYINDIVIDUAL
Example: COMPANY
first_namestringoptional

The user's first name.

Example: John
last_namestringoptional

The user's last name.

Example: Smith
organizationstringoptional

The organization's name.

Example: DRUO
local_idstringoptional

The user's identification number.

Example: 45235553
local_id_typestringoptional

The user's identification document type.

Example: NATIONAL_ID
local_id_countrystringoptional

The user's country of citizenship as a 3-letter ISO country code.

Example: COL
date_of_birthstringoptional

The user's date of birth in YYYY-MM-DD format.

Example: 2021-07-19
emailstringoptional

The user's email address.

Example: john.smith@gmail.com
phone_numberobjectoptional

The user's phone number details.

Example: {"country_code":"1","number":2025550198}

The user's phone number country code.

Example: 1
phone_number.numberintegerRequired

The user's phone number without the country code.

Example: 2025550198
addressobjectoptional

The user's physical address.

Example: {"address_line_1":"1600 Pennsylvania Ave NW","address_line_2":"Apt 101","locality":"Washington","administrative_district":"DC","postal_code":"20500","country":"USA"}

Address line 1 (e.g., street, number).

Example: 1600 Pennsylvania Ave NW

Address line 2 (e.g., apartment, suite).

Example: Apt 101

Address line 3 (additional information).

address.localitystringRequired

Locality or city of the provided address.

Example: Washington
address.sublocalitystringoptional

Sublocality or neighborhood of the provided address.

Administrative district, state, or province of the provided address.

Example: DC
address.postal_codestringRequired

Postal code of the provided address.

Example: 20500
address.countrystringRequired

The 3-letter ISO country code of the provided address.

Example: USA
preferred_languagestringoptional

The user's preferred language, used for system notifications.

Example: en_US
notestringoptional

A custom note associated with this end user.

Example: This is a special customer.
primary_referencestringoptional

The End User's primary reference used to associate the user with an external system.

Example: 23423524
secondary_referencestringoptional

The End User's secondary reference used to associate the user with an external system.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

A set of key-value pairs that you can attach to the object, with up to 50 keys, key names up to 40 characters long, and values up to 500 characters long.

Example: {"order_id":"6735"}
creation_sourcestringoptional

The channel through which the end user was created.

Example: API
date_created_gmtstringoptional

The creation timestamp of the end user in GMT ISO 8601 format.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last updated timestamp of the end user in GMT ISO 8601 format.

Example: 2021-11-15T23:23:38Z
NextGETList End Users